Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003408TestLinkTest Executepublic2010-04-30 19:142010-08-31 20:29
Reporterpganti 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.1 
Fixed in Version1.9 Beta 5 
Summary0003408: Search by custom field is always showing SQL Exception on UI when custom field contains # character
DescriptionI am using TL version1.8.1 with more than 6000 test cases, and created few custom fields and almost 4000 test cases contains # characters in the custom fields.

While searching for the custom field with string contining # (Ex: A#B_C) it is throwing below exception

ERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ')' at line 1 - SELECT id,name FROM nodes_hierarchy WHERE id IN ()

THE MESSAGE :: SQL [27] executed [took 0.0001 secs][all took 0.0617 secs]: SELECT id,name FROM nodes_hierarchy WHERE id IN () Query failed: errorcode[1064] errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ')' at line 1
Additional InformationSteps to reproduce:
--------------------
1. Create & Add a custom field of type String and assign it to project
2. Create a test case with custom field value like A#B_C
3. Approve the test case
4. Goto 'Execute' page and click on 'Filter & Settings...' drop down
5. Enter custom field value as A#B_C (Search should return atleast one test case) & click on Apply button
6. Observe that tree is populated properly at the bottom of the search criteria
7. Now click on test case which is displayed as a result of above search
Observe that mysql exception is shown on UI.

Please let me know if you need more inputs.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserIE & Firefox.
PHP Version5.3.0
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon ERRORScreenshots.zip [^] (163,493 bytes) 2010-04-30 19:14

- Relationships

-  Notes
(0009840)
fman (administrator)
2010-05-02 17:22

Please get 1.9 beta 4 and retest
(0009849)
pganti (reporter)
2010-05-03 13:43

This is working fine on TL Version 1.9 beta 4. But, at this point we cant use beta version, can I expect any fix for test link 1.8.1.
(0009850)
fman (administrator)
2010-05-03 16:15

no plans in short time for fixes
(0011184)
fman (administrator)
2010-08-31 20:29

Release BETA 6 - 20100831

- Issue History
Date Modified Username Field Change
2010-04-30 19:14 pganti New Issue
2010-04-30 19:14 pganti File Added: ERRORScreenshots.zip
2010-04-30 19:14 pganti Browser => IE & Firefox.
2010-04-30 19:14 pganti PHP Version => 5.3.0
2010-05-02 17:22 fman Note Added: 0009840
2010-05-02 17:22 fman Assigned To => fman
2010-05-02 17:22 fman Status new => feedback
2010-05-03 13:43 pganti Note Added: 0009849
2010-05-03 16:15 fman Note Added: 0009850
2010-05-26 20:21 fman Status feedback => resolved
2010-05-26 20:21 fman Fixed in Version => 1.9 Beta 5
2010-05-26 20:21 fman Resolution open => fixed
2010-08-31 20:29 fman Note Added: 0011184
2010-08-31 20:29 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker